FOPGVTFont (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.svg.font

## Class FOPGVTFont

- java.lang.Object
- - org.apache.fop.svg.font.FOPGVTFont

- All Implemented Interfaces:
    org.apache.batik.gvt.font.GVTFont

      public class FOPGVTFont
      extends java.lang.Object
      implements org.apache.batik.gvt.font.GVTFont

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPGVTFont(Font font, org.apache.batik.gvt.font.GVTFontFamily fontFamily)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDisplay(char c)`
    `int` | `canDisplayUpTo(char[] text, int start, int limit)`
    `int` | `canDisplayUpTo(java.text.CharacterIterator iter, int start, int limit)`
    `int` | `canDisplayUpTo(java.lang.String str)`
    `org.apache.batik.gvt.font.GVTGlyphVector` | `createGlyphVector(java.awt.font.FontRenderContext frc, char[] chars)`
    `org.apache.batik.gvt.font.GVTGlyphVector` | `createGlyphVector(java.awt.font.FontRenderContext frc, java.text.CharacterIterator ci)`
    `org.apache.batik.gvt.font.GVTGlyphVector` | `createGlyphVector(java.awt.font.FontRenderContext frc, int[] glyphCodes, java.text.CharacterIterator ci)`
    `org.apache.batik.gvt.font.GVTGlyphVector` | `createGlyphVector(java.awt.font.FontRenderContext frc, java.lang.String text)`
    `org.apache.batik.gvt.font.GVTGlyphVector` | `createGlyphVector(java.awt.font.FontRenderContext frc, java.lang.String text, java.lang.String script, java.lang.String language)`
    `FOPGVTFont` | `deriveFont(float size)`
    `java.lang.String` | `getFamilyName()`
    `Font` | `getFont()`
    `FontInfo` | `getFontInfo()`
    `java.lang.String` | `getFontKey()`
    `FontTriplet` | `getFontTriplet()`
    `float` | `getHKern(int glyphCode1, int glyphCode2)`
    `org.apache.batik.gvt.font.GVTLineMetrics` | `getLineMetrics(char[] chars, int beginIndex, int limit, java.awt.font.FontRenderContext frc)`
    `org.apache.batik.gvt.font.GVTLineMetrics` | `getLineMetrics(java.text.CharacterIterator ci, int beginIndex, int limit, java.awt.font.FontRenderContext frc)`
    `org.apache.batik.gvt.font.GVTLineMetrics` | `getLineMetrics(java.lang.String str, java.awt.font.FontRenderContext frc)`
    `org.apache.batik.gvt.font.GVTLineMetrics` | `getLineMetrics(java.lang.String str, int beginIndex, int limit, java.awt.font.FontRenderContext frc)`
    `float` | `getSize()`
    `float` | `getVKern(int glyphCode1, int glyphCode2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.batik.gvt.font.GVTFont

      `toString`

- - ### Constructor Detail

    - #### FOPGVTFont

          public FOPGVTFont(Font font,
                            org.apache.batik.gvt.font.GVTFontFamily fontFamily)

  - ### Method Detail

    - #### getFont

          public Font getFont()

    - #### canDisplay

          public boolean canDisplay(char c)

      Specified by:
        `canDisplay` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### canDisplayUpTo

          public int canDisplayUpTo(char[] text,
                                    int start,
                                    int limit)

      Specified by:
        `canDisplayUpTo` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### canDisplayUpTo

          public int canDisplayUpTo(java.text.CharacterIterator iter,
                                    int start,
                                    int limit)

      Specified by:
        `canDisplayUpTo` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### canDisplayUpTo

          public int canDisplayUpTo(java.lang.String str)

      Specified by:
        `canDisplayUpTo` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### createGlyphVector

          public org.apache.batik.gvt.font.GVTGlyphVector createGlyphVector(java.awt.font.FontRenderContext frc,
                                                                            char[] chars)

      Specified by:
        `createGlyphVector` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### createGlyphVector

          public org.apache.batik.gvt.font.GVTGlyphVector createGlyphVector(java.awt.font.FontRenderContext frc,
                                                                            java.text.CharacterIterator ci)

      Specified by:
        `createGlyphVector` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### createGlyphVector

          public org.apache.batik.gvt.font.GVTGlyphVector createGlyphVector(java.awt.font.FontRenderContext frc,
                                                                            int[] glyphCodes,
                                                                            java.text.CharacterIterator ci)

      Specified by:
        `createGlyphVector` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### createGlyphVector

          public org.apache.batik.gvt.font.GVTGlyphVector createGlyphVector(java.awt.font.FontRenderContext frc,
                                                                            java.lang.String text)

      Specified by:
        `createGlyphVector` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### createGlyphVector

          public org.apache.batik.gvt.font.GVTGlyphVector createGlyphVector(java.awt.font.FontRenderContext frc,
                                                                            java.lang.String text,
                                                                            java.lang.String script,
                                                                            java.lang.String language)

    - #### deriveFont

          public FOPGVTFont deriveFont(float size)

      Specified by:
        `deriveFont` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### getFontInfo

          public FontInfo getFontInfo()

    - #### getFontKey

          public java.lang.String getFontKey()

    - #### getFontTriplet

          public FontTriplet getFontTriplet()

    - #### getFamilyName

          public java.lang.String getFamilyName()

      Specified by:
        `getFamilyName` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### getLineMetrics

          public org.apache.batik.gvt.font.GVTLineMetrics getLineMetrics(char[] chars,
                                                                         int beginIndex,
                                                                         int limit,
                                                                         java.awt.font.FontRenderContext frc)

      Specified by:
        `getLineMetrics` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### getLineMetrics

          public org.apache.batik.gvt.font.GVTLineMetrics getLineMetrics(java.text.CharacterIterator ci,
                                                                         int beginIndex,
                                                                         int limit,
                                                                         java.awt.font.FontRenderContext frc)

      Specified by:
        `getLineMetrics` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### getLineMetrics

          public org.apache.batik.gvt.font.GVTLineMetrics getLineMetrics(java.lang.String str,
                                                                         java.awt.font.FontRenderContext frc)

      Specified by:
        `getLineMetrics` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### getLineMetrics

          public org.apache.batik.gvt.font.GVTLineMetrics getLineMetrics(java.lang.String str,
                                                                         int beginIndex,
                                                                         int limit,
                                                                         java.awt.font.FontRenderContext frc)

      Specified by:
        `getLineMetrics` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### getSize

          public float getSize()

      Specified by:
        `getSize` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### getVKern

          public float getVKern(int glyphCode1,
                                int glyphCode2)

      Specified by:
        `getVKern` in interface `org.apache.batik.gvt.font.GVTFont`

    - #### getHKern

          public float getHKern(int glyphCode1,
                                int glyphCode2)

      Specified by:
        `getHKern` in interface `org.apache.batik.gvt.font.GVTFont`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.